Bug 242105 - Upgrade from fc6 needs lot's of memory. Swap not activated, so it fails
Summary: Upgrade from fc6 needs lot's of memory. Swap not activated, so it fails
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-01 18:34 UTC by Alessandro Briosi
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-11 21:04:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda log (245.31 KB, text/plain)
2007-06-04 20:24 UTC, Alessandro Briosi
no flags Details
fstab (532 bytes, application/octet-stream)
2007-06-04 20:25 UTC, Alessandro Briosi
no flags Details

Description Alessandro Briosi 2007-06-01 18:34:48 UTC
Description of problem:
During a FC6 upgrade to F7 anaconda is using +500Mb memory (even in text mode),
memory used is 1GB. I had to manually mount the swap partition to install as it
failed installing packages 'cause of "could not allocate memory"

Version-Release number of selected component (if applicable):
Fedora 7 X86_64 upgrade
on a HP Pavillion dv6022ea (amd Turion 64x2 1GB memory)


How reproducible:
with this PC it failed every time. till I found the workaround of mountin swap
space I had manually with swapon /dev/xxxN 

Steps to Reproduce:
1. Upgrade from fc6 (probably a lot of packages and some extra repos)
2.
3.
  
Actual results:
swapon resolves the problem, though it's a workaround. Upgrade takes really long

Expected results:
Installation uses much less memory

Additional info:
I also tried with noapic acpi=off and maxcpus=1 kernel params (which solved
hangs with fc6) but no results.

Comment 1 Jeremy Katz 2007-06-04 18:14:01 UTC
Can you provide /var/log/anaconda.log and the contents of /etc/fstab?

Comment 2 Alessandro Briosi 2007-06-04 20:24:43 UTC
Created attachment 156125 [details]
Anaconda log

This seems to have not been touched by the upgrade.

Comment 3 Alessandro Briosi 2007-06-04 20:25:23 UTC
Created attachment 156126 [details]
fstab

Comment 4 Lonni J Friedman 2007-06-09 14:09:27 UTC
I'm seeing this same problem as well on an old (~4 years) Sharp notebook, while
doing a text mode upgrade from FC6 to F7.  

Comment 5 David Cantrell 2007-09-11 21:04:29 UTC
Not really anything we can do here.  If you have a lot of packages installed as
well as a lot of third party RPMs, then depsolving is going to take a lot of
memory and a long time.

Comment 6 Lonni J Friedman 2007-09-11 21:29:04 UTC
Sorry, but I have to disagree.  While its true that nothing can be done by an
installer bug, once released, you could acknowledge that this is a QA hole that
should be fixed before the next release.

This issue really had nothing to do with depsolving taking alot of memory & a
long time, but rather that swap was never activated for some installations.


Note You need to log in before you can comment on or make changes to this bug.